Package org.eclipse.birt.core.template

# Class TemplateParser.ASTVisitor

java.lang.Object
org.eclipse.birt.core.template.TemplateParser.ASTVisitor

All Implemented Interfaces:
  `ParserVisitor`

Enclosing class:
  `TemplateParser`

protected static class TemplateParser.ASTVisitor extends Object implements ParserVisitor

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getText(ASTEbody_content node)`
`Object`
`visit(ASTAttribute node, Object data)`
`Object`
`visit(ASTEbody_content node, Object data)`
`Object`
`visit(ASTImage node, Object data)`
`Object`
`visit(ASTTemplate node, Object data)`
`Object`
`visit(ASTText node, Object data)`
`Object`
`visit(ASTValueOf node, Object data)`
`Object`
`visit(ASTViewTimeValueOf node, Object data)`
`Object`
`visit(SimpleNode node, Object data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### visit

public Object visit(SimpleNode node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTAttribute node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTValueOf node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTViewTimeValueOf node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTImage node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTText node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTTemplate node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### visit

public Object visit(ASTEbody_content node, Object data)

Specified by:
  `visit` in interface `ParserVisitor`

### getText

protected String getText(ASTEbody_content node)